# gamma.tcc File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file gamma.tcc.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1
- namespace std::tr1::__detail

## Defines

- #define _TR1_GAMMA_TCC

## Functions

- template<typename _Tp> _Tp std::tr1::__detail::__bernoulli (const int __n)
- template<typename _Tp> _Tp std::tr1::__detail::__bernoulli_series (unsigned int __n)
- template<typename _Tp> _Tp std::tr1::__detail::__bincoef (const unsigned int __n, const unsigned int __k)
- template<typename _Tp> _Tp std::tr1::__detail::__gamma (const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__log_bincoef (const unsigned int __n, const unsigned int __k)
- template<typename _Tp> _Tp std::tr1::__detail::__log_gamma (const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__log_gamma_bernoulli (const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__log_gamma_lanczos (const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__log_gamma_sign (const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__psi (const unsigned int __n, const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__psi (const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__psi_asymp (const _Tp __x)
- template<typename _Tp> _Tp std::tr1::__detail::__psi_series (const _Tp __x)